Subject: bug#35241: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10

From: Shuguang Sun <[email-masked]>
Date: Tue, 16 Apr 2019 17:34:28 +0800

Michael Albinus <[email-masked]> writes:

> Shuguang Sun <[email-masked]> writes:
>
> Hi,
>
>> Below is part of the message. It seems it try to find "gpg2", and
>> there is no "gpg2".
>
> Yes.
>
>>   tramp-file-name-handler(expand-file-name "." "/plink:[email-masked]:")
>>   locate-file-internal("gpg2" (list of path) (".exe" ".com" ".bat" ".cmd" ".btm" "") 1)
>>   executable-find("gpg2")
>
> This is the crucial part. `executable-find' shall operate on the local
> file system only. But it calls `locate-file-internal' with a PATH
> pointing to remote.
>
> I suppose you have edited the backtrace, and written (list of path).
> What is there? My crystal ball tells me it contains "." ...

Sorry. I do modified it here. It is the local path, not remote. And it contains "." which looks like:

--8<---------------cut here---------------start------------->8---
  locate-file("gpg2" ("." "C:/Users/username/emacs/bin/" "C:/Users/username/scoop/apps/gnupg/current/bin/" "C:/Users/username/scoop/shims/" "C:/Users/username/Progs/msys64/mingw64/bin/" "C:/Users/username/Progs/msys64/usr/bin/" "C:/Users/username/Progs/miktex-portable/texmfs/insta..." "C:/Users/username/AppData/Local/Microsoft/WindowsApp...") (".exe" ".com" ".bat" ".cmd" ".btm" "") 1)
--8<---------------cut here---------------end--------------->8---

I have gpg installed and can be executable-find.

> Best regards, Michael.

-- 
Best Regards
Shuguang Sun